Author: Thorsten Alteholz <debian@alteholz.de>
Description: void crash if there is nothing to play
--- rplay.orig/contrib/mailsound/mailsound.c
+++ rplay/contrib/mailsound/mailsound.c
@@ -132,8 +132,8 @@
 	{
 		compare(buffer, address, size);
 	}
-
-	play_sound(av[1], 0);
+        /* if there is nothing to play, play nothing */
+        if (av[1]!=NULL) play_sound(av[1], 0);
 	fclose(fl);
 	exit(0);
 }
@@ -189,9 +189,7 @@
 		av[ac++] = token;
 		token = strtok(NULL, " \t");
 	}
-
 	subject_re = NULL;
-
 	parse_args(ac, av, size);
 
 	if (subject_re)
